umbrello: UMLEnumLiteralDialog Class Reference

umbrello 2.39.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
UMLEnumLiteralDialog Class Reference

`#include <umlenumliteraldialog.h>`

Inheritance diagram for UMLEnumLiteralDialog:

## Public Slots
void | slotNameChanged (const QString &)

## Public Member Functions
| UMLEnumLiteralDialog (QWidget *pParent, UMLEnumLiteral *pEnumLiteral)
| ~UMLEnumLiteralDialog ()
Public Member Functions inherited from SinglePageDialogBase
| SinglePageDialogBase (QWidget *parent, bool withApplyButton=false, bool withSearchButton=false)
virtual | ~SinglePageDialogBase ()
void | setCaption (const QString &caption)
QWidget * | mainWidget ()
void | setMainWidget (QWidget *widget)
void | setButtonText (ButtonCode code, const QString &text)

## Protected Member Functions
void | setupDialog ()
bool | apply ()
Protected Member Functions inherited from SinglePageDialogBase
void | enableButtonOk (bool enable)
virtual bool | validate ()

## Protected Attributes
UMLEnumLiteral * | m_pEnumLiteral
QGroupBox * | m_pValuesGB
QLabel * | m_pNameL
QLabel * | m_pValueL
QLineEdit * | m_pNameLE
QLineEdit * | m_pValueLE
Protected Attributes inherited from SinglePageDialogBase
QDialogButtonBox * | m_buttonBox
QWidget * | m_mainWidget

## Additional Inherited Members
Public Types inherited from SinglePageDialogBase
enum | ButtonCode { Cancel = 0 , Ok = 1 , Apply = 2 }
Protected Slots inherited from SinglePageDialogBase
void | slotApply ()
void | slotOk ()
void | slotCancel ()
void | slotClicked (QAbstractButton *)

## Detailed Description

Author
  Tzvetelin Katchov Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ UMLEnumLiteralDialog()

UMLEnumLiteralDialog::UMLEnumLiteralDialog | ( | QWidget * | pParent,
|  | UMLEnumLiteral * | pEnumLiteral )

## ◆ ~UMLEnumLiteralDialog()

UMLEnumLiteralDialog::~UMLEnumLiteralDialog | ( |  | ) |

## Member Function Documentation

## ◆ apply()

bool UMLEnumLiteralDialog::apply | ( |  | ) |
| protectedvirtual

Checks if changes are valid and applies them if they are, else returns false

Reimplemented from SinglePageDialogBase.

## ◆ setupDialog()

void UMLEnumLiteralDialog::setupDialog | ( |  | ) |
| protected

Sets up the dialog

## ◆ slotNameChanged

void UMLEnumLiteralDialog::slotNameChanged | ( | const QString & | _text | ) |
| slot

## Member Data Documentation

## ◆ m_pEnumLiteral

UMLEnumLiteral* UMLEnumLiteralDialog::m_pEnumLiteral
| protected

The EnumLiteral to represent

## ◆ m_pNameL

QLabel* UMLEnumLiteralDialog::m_pNameL
| protected

## ◆ m_pNameLE

QLineEdit* UMLEnumLiteralDialog::m_pNameLE
| protected

## ◆ m_pValueL

QLabel * UMLEnumLiteralDialog::m_pValueL
| protected

## ◆ m_pValueLE

QLineEdit * UMLEnumLiteralDialog::m_pValueLE
| protected

## ◆ m_pValuesGB

QGroupBox* UMLEnumLiteralDialog::m_pValuesGB
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/umlenumliteraldialog.h
- umbrello/dialogs/umlenumliteraldialog.cpp